aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/postinst-intercepts
diff options
context:
space:
mode:
authorRoss Burton <ross.burton@intel.com>2016-01-06 15:49:37 +0000
committerRichard Purdie <richard.purdie@linuxfoundation.org>2016-01-19 17:36:59 +0000
commit072800f89a136bb5da44627f25599d3060cca0a1 (patch)
treee72a0000a7522eb8571f32c3b83417c3e28758d6 /scripts/postinst-intercepts
parent76aa4f49db7d32bbd35703c64470fdfc63f403a4 (diff)
downloadopenembedded-core-contrib-072800f89a136bb5da44627f25599d3060cca0a1.tar.gz
postinst-intercepts: always use set -e
If a postinst has a problem (say, qemu crashes) and set -e isn't in operation, the only mention of the problem is a single line in the rootfs log that doesn't trigger any warnings. Signed-off-by: Ross Burton <ross.burton@intel.com>
Diffstat (limited to 'scripts/postinst-intercepts')
-rw-r--r--scripts/postinst-intercepts/update_font_cache2
-rw-r--r--scripts/postinst-intercepts/update_pixbuf_cache2
2 files changed, 4 insertions, 0 deletions
diff --git a/scripts/postinst-intercepts/update_font_cache b/scripts/postinst-intercepts/update_font_cache
index 2e6daedeb5..bf65e19a41 100644
--- a/scripts/postinst-intercepts/update_font_cache
+++ b/scripts/postinst-intercepts/update_font_cache
@@ -1,5 +1,7 @@
#!/bin/sh
+set -e
+
PSEUDO_UNLOAD=1 qemuwrapper -L $D -E LD_LIBRARY_PATH=$D/${libdir}:$D/${base_libdir} \
-E ${fontconfigcacheenv} $D${bindir}/fc-cache --sysroot=$D --system-only ${fontconfigcacheparams}
chown -R root:root $D${fontconfigcachedir}
diff --git a/scripts/postinst-intercepts/update_pixbuf_cache b/scripts/postinst-intercepts/update_pixbuf_cache
index a8b4001069..5d44075fb4 100644
--- a/scripts/postinst-intercepts/update_pixbuf_cache
+++ b/scripts/postinst-intercepts/update_pixbuf_cache
@@ -1,5 +1,7 @@
#!/bin/sh
+set -e
+
export GDK_PIXBUF_MODULEDIR=$D${libdir}/gdk-pixbuf-2.0/2.10.0/loaders
export GDK_PIXBUF_FATAL_LOADER=1